#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct ChannelLocatorWithStatus {
    #[builder(
        custom(type = super::super::super::api::ChannelLocator, convert = Box::new)
    )]
    #[serde(rename = "channelLocator")]
    channel_locator: Box<super::super::super::api::ChannelLocator>,
    #[serde(rename = "resolutionStatus")]
    resolution_status: super::ChannelResolutionStatus,
}
impl ChannelLocatorWithStatus {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        channel_locator: super::super::super::api::ChannelLocator,
        resolution_status: super::ChannelResolutionStatus,
    ) -> Self {
        Self::builder()
            .channel_locator(channel_locator)
            .resolution_status(resolution_status)
            .build()
    }
    #[inline]
    pub fn channel_locator(&self) -> &super::super::super::api::ChannelLocator {
        &*self.channel_locator
    }
    #[inline]
    pub fn resolution_status(&self) -> &super::ChannelResolutionStatus {
        &self.resolution_status
    }
}
